ArrayListTransferHandler
Date: 2019-10-22

org.openscience.jmol.app.webexport

## Class ArrayListTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - org.openscience.jmol.app.webexport.ArrayListTransferHandler

- All Implemented Interfaces:
    java.io.Serializable

      class ArrayListTransferHandler
      extends javax.swing.TransferHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `ArrayListTransferHandler.ArrayListTransferable`

    - ### Nested classes/interfaces inherited from class javax.swing.TransferHandler

      `javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `addCount`
    `(package private) int` | `addIndex`
    `(package private) java.awt.datatransfer.DataFlavor` | `localArrayListFlavor`
    `(package private) java.lang.String` | `localArrayListType`
    `(package private) java.awt.datatransfer.DataFlavor` | `serialArrayListFlavor`
    `(package private) javax.swing.JList<?>` | `source`
    `(package private) int[]` | `sourceIndices`
    `(package private) WebPanel` | `webPanel`

    - ### Fields inherited from class javax.swing.TransferHandler

      `COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayListTransferHandler(WebPanel webPanel)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canImport(javax.swing.JComponent c, java.awt.datatransfer.DataFlavor[] flavors)`
    `protected java.awt.datatransfer.Transferable` | `createTransferable(javax.swing.JComponent c)`
    `protected void` | `exportDone(javax.swing.JComponent c, java.awt.datatransfer.Transferable data, int action)`
    `int` | `getSourceActions(javax.swing.JComponent c)`
    `private boolean` | `hasLocalArrayListFlavor(java.awt.datatransfer.DataFlavor[] flavors)`
    `private boolean` | `hasSerialArrayListFlavor(java.awt.datatransfer.DataFlavor[] flavors)`
    `boolean` | `importData(javax.swing.JComponent c, java.awt.datatransfer.Transferable t)`
    `private static java.lang.Object` | `objectOf(javax.swing.DefaultListModel<?> listModel, java.lang.Object objectName)`

    - ### Methods inherited from class javax.swing.TransferHandler

      `canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localArrayListFlavor

          java.awt.datatransfer.DataFlavor localArrayListFlavor

    - #### serialArrayListFlavor

          java.awt.datatransfer.DataFlavor serialArrayListFlavor

    - #### localArrayListType

          java.lang.String localArrayListType

    - #### source

          javax.swing.JList<?> source

    - #### sourceIndices

          int[] sourceIndices

    - #### addIndex

          int addIndex

    - #### addCount

          int addCount

    - #### webPanel

          WebPanel webPanel

  - ### Constructor Detail

    - #### ArrayListTransferHandler

          ArrayListTransferHandler(WebPanel webPanel)

  - ### Method Detail

    - #### importData

          public boolean importData(javax.swing.JComponent c,
                                    java.awt.datatransfer.Transferable t)

      Overrides:
        `importData` in class `javax.swing.TransferHandler`

    - #### objectOf

          private static java.lang.Object objectOf(javax.swing.DefaultListModel<?> listModel,
                                                   java.lang.Object objectName)

    - #### exportDone

          protected void exportDone(javax.swing.JComponent c,
                                    java.awt.datatransfer.Transferable data,
                                    int action)

      Overrides:
        `exportDone` in class `javax.swing.TransferHandler`

    - #### hasLocalArrayListFlavor

          private boolean hasLocalArrayListFlavor(java.awt.datatransfer.DataFlavor[] flavors)

    - #### hasSerialArrayListFlavor

          private boolean hasSerialArrayListFlavor(java.awt.datatransfer.DataFlavor[] flavors)

    - #### canImport

          public boolean canImport(javax.swing.JComponent c,
                                   java.awt.datatransfer.DataFlavor[] flavors)

      Overrides:
        `canImport` in class `javax.swing.TransferHandler`

    - #### createTransferable

          protected java.awt.datatransfer.Transferable createTransferable(javax.swing.JComponent c)

      Overrides:
        `createTransferable` in class `javax.swing.TransferHandler`

    - #### getSourceActions

          public int getSourceActions(javax.swing.JComponent c)

      Overrides:
        `getSourceActions` in class `javax.swing.TransferHandler`